one-entities-post-one¶
Source¶
Repository:
jef-systems/jef-one-backendSource Run ID:
25256541517Source SHA:
944e655286e0c87c6e611453ffc46df43159a83dModule:
oneDocumentation Scope:
asyncLambda:
jef-one-post-4
Endpoint¶
API Name:
jef-oneAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/one-entities-post-oneComplete Endpoint:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-post-4curl payload mode:
json_body
API Gateway Description¶
Function: jef-one-post-4
Module: jef-one
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /one-entities-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-one-entities
Payload Example:
- pk: 1001
- entity_number: 1001
- name: JEF Caferimo
- business_name: JEF Caferimo Food and Beverage Services
- tin: 123-456-789-000
- address: Poblacion, Bago City, Negros Occidental
- is_active: True
- created_at: 2026-04-29T00:00:00Z
- updated_at: 2026-04-29T00:00:00Z
Payload Schema:
- pk: string-{entity_number}
- entity_number: string
- name: string
- business_name: string
- tin: string
- address: string
- is_active: boolean
- created_at: string
- updated_at: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "1001",
"entity_number": "1001",
"name": "JEF Caferimo",
"business_name": "JEF Caferimo Food and Beverage Services",
"tin": "123-456-789-000",
"address": "Poblacion, Bago City, Negros Occidental",
"is_active": "True",
"created_at": "2026-04-29T00:00:00Z",
"updated_at": "2026-04-29T00:00:00Z"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"1001\", \"entity_number\": \"1001\", \"name\": \"JEF Caferimo\", \"business_name\": \"JEF Caferimo Food and Beverage Services\", \"tin\": \"123-456-789-000\", \"address\": \"Poblacion, Bago City, Negros Occidental\", \"is_active\": true, \"created_at\": \"2026-04-29T00:00:00Z\", \"updated_at\": \"2026-04-29T00:00:00Z\"}"
PowerShell curl¶
curl.exe -X POST "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "1001", "entity_number": "1001", "name": "JEF Caferimo", "business_name": "JEF Caferimo Food and Beverage Services", "tin": "123-456-789-000", "address": "Poblacion, Bago City, Negros Occidental", "is_active": true, "created_at": "2026-04-29T00:00:00Z", "updated_at": "2026-04-29T00:00:00Z"}'